Skip to main content
GET
/
v1
/
timekeeping
/
timecard
/
{provider}
Get Timecard
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/timekeeping/timecard/{provider} \
  --header 'Authorization: Bearer <token>'
{
  "punches": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timecardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2024-11-20T07:43:34+0000",
      "updatedAt": "2024-11-20T07:43:34+0000",
      "action": "<string>",
      "time": "2024-11-20T07:43:34+0000",
      "providerNote": "Felt sick, had to leave early.",
      "adminNote": "Adjusted to schedule.",
      "generated": false
    }
  ],
  "nextActions": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get the current timecard for the given provider. Returns no punches + clock_in if there is no active timecard.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
string<uuid>
required

Response

punches
object[]
required
nextActions
string[]
required